﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MVVMTreeViewHierarchical
{
    public class Level1 : ViewModelBase
    {
        private string displayName = "";

        public string DisplayName
        {
            get => displayName;
            set
            {
                displayName = value;
                RaiseChange("DisplayName");
            }
        }

        private ObservableCollection<Level1> children = new ObservableCollection<Level1>();

        public ObservableCollection<Level1> Children
        {
            get => children;
            set
            {
                children = value;
                RaiseChange("Children");
            }
        }


        private Level1 parent;

        public Level1 Parent
        {
            get => parent;
            set
            {
                parent = value;
                RaiseChange("Parent");
            }
        }

        public Level1(string displayName,ObservableCollection<Level1> children)
        {
            ItemIndex = MainWindowViewModel.globalIndex++;
            DisplayName = displayName;
            Children = children;
        }



        public Level1(string displayName)
        {
            ItemIndex = MainWindowViewModel.globalIndex++;
            DisplayName = displayName;
            Children = new ObservableCollection<Level1>();
        }
    }
}
