﻿using CommunityToolkit.Mvvm.Input;
using DynamicMVVMTreeViewHierarchical;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;

namespace MVVMTreeViewHierarchical
{
    public class MainWindowViewModel : CommunityToolkit.Mvvm.ComponentModel.ObservableObject
    {
        //顶级列表
        private ObservableCollection<Level1> hierarchicalTestList = new ObservableCollection<Level1>();

        //全局Index
        public static int globalIndex = 0;

        public RelayCommand<TreeView> LoadedCommand { get; set; }


        public ObservableCollection<Level1> HierarchicalTestList
        {
            get => hierarchicalTestList;
            set => SetProperty(ref hierarchicalTestList, value);
        }

        public MainWindowViewModel()
        {
            LoadedCommand = new RelayCommand<TreeView>(OnLoaded);   
        }

        private void OnLoaded(TreeView treeView)
        {
            for (int i = 0; i < 3; i++)
            {
                hierarchicalTestList.Add(new Level1($"层级1项目@{i}"));

                hierarchicalTestList[0].Children = new ObservableCollection<Level1>();
                for (int j = 0; j < 3; j++)
                {
                    //添加第2层
                    hierarchicalTestList[0].Children.Add(new Level1($"层级2项目@{j}") { Parent = hierarchicalTestList[0] });

                    hierarchicalTestList[0].Children[0].Children = new ObservableCollection<Level1>();
                    for (int k = 0; k < 3; k++)
                    {
                        //添加第3层
                        hierarchicalTestList[0].Children[0].Children.Add(new Level1($"层级3项目@{k}") { Parent = hierarchicalTestList[0].Children[0] });

                        hierarchicalTestList[0].Children[0].Children[0].Children = new ObservableCollection<Level1>();
                        for (int l = 0;l<3;l++)
                        {
                            //添加第4层
                            hierarchicalTestList[0].Children[0].Children[0].Children.Add(new Level1($"层级4项目@{l}") { Parent = hierarchicalTestList[0].Children[0].Children[0] });
                        }
                    }
                }
            }

        }
    }
}
