﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MVVMTreeViewHierarchical
{
    public class ViewModelBase : INotifyPropertyChanged
    {
        private string itemIndex;

        public string ItemIndex
        {
            get => itemIndex;
            set
            {
                itemIndex = value;
                RaiseChange("ItemIndex");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaiseChange(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
